Subject: Re: [Last-Call] Last Call: <draft-cheshire-sudn-ipv4only-dot-arpa-15.txt> (Special Use Domain Name 'ipv4only.arpa') to Proposed Standard

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 21 Jan 2020 10:23:51 +0100

Just in case my yesterday email is useful and it was sent to the wrong list, here is it again:

As I already indicated several times, I think this is needed and agree with this document. In fact, I've included a reference to this document in RFC8683.

Just a minor point regarding the abstract. I think it should be a single paragraph, and moving most of the text to the intro (I've been told this a couple of time with my own documents).

In Section 4.1, I think could also include a reference to DNS privacy/encryption. In RFC8683 I'm calling all this "foreign DNS" (see section 4.4).

Relevant to this document see also section 4.1.1 in RFC8683 and the IANA Consideration section that I had in the version before the RFC8683:

8.  IANA Considerations

   This document does not have any new specific IANA considerations.

   Note: This section is assuming that https://www.rfc-
   editor.org/errata/eid5152 is resolved, otherwise, this section may
   include the required text to resolve the issue.

   Alternatively, this could be fixed also by
   [I-D.cheshire-sudn-ipv4only-dot-arpa].

So, may be is time to also clear the errata, indicating that it is fixed by this document?

Regards,
Jordi
@jordipalet

El 21/1/20 0:20, "IETF-Announce en nombre de The IESG" <[email-masked] en nombre de [email-masked]> escribió:

    The IESG has received a request from an individual submitter to consider the
    following document: - 'Special Use Domain Name 'ipv4only.arpa''
      <draft-cheshire-sudn-ipv4only-dot-arpa-15.txt> as Proposed Standard
    
    The IESG plans to make a decision in the next few weeks, and solicits final
    comments on this action. Please send substantive comments to the
    [email-masked] mailing lists by 2020-02-17. Exceptionally, comments may
    be sent to [email-masked] instead. In either case, please retain the beginning
    of the Subject line to allow automated sorting.
    
    Abstract

       The specification for how a client discovers its local network's
       NAT64 prefix [RFC7050] defines the special name 'ipv4only.arpa' for
       this purpose, but in its Domain Name Reservation Considerations
       section that specification indicates that the name actually has no
       particularly special properties would require special handling, and
       does not request IANA to record the name in the Special-Use Domain
       Names registry.
    
       Consequently, despite the well articulated special purpose of the
       name, 'ipv4only.arpa' was not recorded in the Special-Use Domain
       Names registry as a name with special properties.
    
       As a result of this omission, in cases where software needs to give
       this name special treatment in order for it to work correctly, there
       was no clear mandate authorizing software authors to implement that
       special treatment.  Software implementers were left with the choice
       between not implementing the special behavior necessary for the name
       queries to work correctly, or implementing the special behavior and
       being accused of being noncompliant with some RFC.
    
       This document describes the special treatment required, formally
       declares the special properties of the name, and adds similar
       declarations for the corresponding reverse mapping names.

    
    The file can be obtained via
    https://datatracker.ietf.org/doc/draft-cheshire-sudn-ipv4only-dot-arpa/
    
    IESG discussion can be tracked via
    https://datatracker.ietf.org/doc/draft-cheshire-sudn-ipv4only-dot-arpa/ballot/

    No IPR declarations have been submitted directly on this I-D.

    
    _______________________________________________
    IETF-Announce mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/ietf-announce

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Stuart Cheshire <[email-masked]>
Date: Fri, 24 Jan 2020 17:03:11 -0800

> As I already indicated several times, I think this is needed and agree with this document. In fact, I've included a reference to this document in RFC8683.

Thanks for your support.

> Just a minor point regarding the abstract. I think it should be a single paragraph, and moving most of the text to the intro (I've been told this a couple of time with my own documents).

Fair suggestion. I’ll do this if no one else disagrees. Feel free to send me suggested text if you like.

> In Section 4.1, I think could also include a reference to DNS privacy/encryption. In RFC8683 I'm calling all this "foreign DNS" (see section 4.4).

Can you send the specific text you’re suggesting?

> So, may be is time to also clear the errata, indicating that it is fixed by this document?

I agree. Do others agree that this new document addresses the RFC 7050 erratum listed below?

<https://www.rfc-editor.org/errata/eid5152>

If so, we should request the RFC Errata to mark this erratum as resolved by this new document.

Stuart Cheshire